document.addEventListener('DOMContentLoaded', function(evt){

	document.addEventListener('tizenhwkey', function(evt) {
		if(evt.keyName === 'back') {
			try {
				tizen.application.getCurrentApplication().exit();
			} catch (err) {
				console.error("getCurrentApplication(): " + err.message);
			}
		}
	});	

    [].slice.apply(document.querySelectorAll('#cards span')).forEach(function (el) {
        el.addEventListener('click', function (evt) {
        	evt.stopPropagation();
        	if(!this.classList.contains('flipped')) {
                this.classList.add('flipped');
                this.addEventListener('webkitAnimationEnd',function animationComplete(){
                	this.addEventListener('webkitAnimationEnd',animationComplete);
                	this.classList.remove('flipped');                	
                });
        	}
        });
    });    
    
    var cards = document.querySelector('#board');
    cards.addEventListener('click', function (evt) {
		evt.stopPropagation();
		console.log('offset width, height: ' + this.offsetWidth + ', ' + this.offsetHeight);
		console.log('client width, height: ' + this.clientWidth + ', ' + this.clientHeight);
		console.log('offset top, left: ' + this.offsetTop + ', ' + this.offsetLeft);
		console.log('client top, left: ' + this.clientTop + ', ' + this.clientLeft);
		console.log('scroll width, height: ' + this.scrollWidth + ', ' + this.scrollHeight);
		console.log('scroll top, left: ' + this.scrollTop + ', ' + this.scrollLeft);
		console.log(this.getBoundingClientRect());
    });

    document.querySelector('#board p').addEventListener('click', function () {
       if (this.style.width === '500px') {
           this.style.width = 'auto';
       } else {
           this.style.width = '500px';
       }
    });

    cards.addEventListener('scroll', function (evt) {
    	console.log('scroll width, height: ' + cards.scrollWidth + ', ' + cards.scrollHeight);
    	console.log('scroll top, left: ' + cards.scrollTop + ', ' + cards.scrollLeft);
    });
    
    
    window.addEventListener('click',function startAnimation(evt){
        cards.targetX = evt.pageX;
        cards.targetY = evt.pageY;
        moveBoard();
    });
    function moveBoard() {
        var dx = (cards.targetX - cards.offsetLeft)*0.2;
        var dy = (cards.targetY - cards.offsetTop)*0.2 ;

        cards.style.left = (cards.offsetLeft + dx) + 'px';
        cards.style.top = (cards.offsetTop + dy)+'px';

        if(Math.abs(dx)<0.5 && Math.abs(dy)<0.5) {
            cards.style.left = cards.targetX+'px';
            cards.style.top =  cards.targetY+'px';        
        } else {
            window.webkitRequestAnimationFrame(moveBoard);    
        }
    }    
});



